﻿using Reporter.Properties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace WpfApplication1.Windows.StartWindow
{
    public class StartWindow : Window
    {
        public StartWindow(bool triggerMethodChooseNextWindowBasedOnDefault = true)
        {           
            ShowMainWindow();
            if(triggerMethodChooseNextWindowBasedOnDefault)
                ChooseNextWindowBasedOnDefaultValue();
        }

        public void ChooseNextWindowBasedOnDefaultValue()
        {
            if (Settings.Default["DsrType"] == null || Settings.Default["DsrType"].ToString() == "" || Settings.Default["TimeSlot"].ToString() == "")
            {
                ShowMainWindow();
            }

            else if (Settings.Default["DsrType"].ToString().ToLower() == "excel")
            {
                ShowLoadExcelWindow();
            }

            else if (Settings.Default["DsrType"].ToString().ToLower() == "texteditor")
            {
                ShowTextEditorWindow();
            }
        }

        public void ShowMainWindow()
        {
            WpfApplication1.Windows.Main.MainWindow obj = new Main.MainWindow();
            obj.Show();

        }

        public void ShowLoadExcelWindow()
        {
            WpfApplication1.Windows.LoadExcel.LoadExcelWindow obj = new LoadExcel.LoadExcelWindow();
            obj.Show();
        }

        public void ShowTextEditorWindow()
        {
            WpfApplication1.Windows.TextEditor.TextEditor obj = new TextEditor.TextEditor();
            obj.Show();
        }

        public void ExitCurrentWindow()
        {
            this.Close();
        }
    }
}
