﻿using Reporter.Properties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApplication1.Windows.TextEditor.MailItemSettings
{
    /// <summary>
    /// Interaction logic for MailItemSettings.xaml
    /// </summary>
    public partial class MailItemSettings : Window
    {
        public MailItemSettings()
        {
            InitializeComponent();
            this.ShowInTaskbar = false;
            this.Loaded += new RoutedEventHandler(Window_Loaded);

            setDefaultMailItemTextBox();
            setTextBoxValue();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            var desktopWorkingArea = System.Windows.SystemParameters.WorkArea;
            this.Left = desktopWorkingArea.Right - this.Width;
            this.Top = desktopWorkingArea.Bottom - this.Height;
        }

        public void setDefaultMailItemTextBox()
        {
            string[] mailItemDefaults = { "MailTo", "MailCc", "MailSubject", "MailBody1", "MailBody2", "MailSignature" };
            TextBox[] textBox = { mailToTextBox, mailCcTextBox, mailSubjectTextBox, mailBody1TextBox, mailBody2TextBox, mailBodySignature };
            for (int i=0;i<mailItemDefaults.Length;i++)
            {
                textBox[i].Text = Settings.Default[mailItemDefaults[i]].ToString();
            }
        }

        private void mailItemDefault_Click(object sender, RoutedEventArgs e)
        {
            string[] mailItemDefaults = { "MailTo", "MailCc", "MailSubject", "MailBody1", "MailBody2", "MailSignature" };
            TextBox[] textBox = { mailToTextBox, mailCcTextBox, mailSubjectTextBox, mailBody1TextBox, mailBody2TextBox, mailBodySignature };

            for (int i=0;i<mailItemDefaults.Length;i++)
            {
                if (Settings.Default[mailItemDefaults[i]].ToString() == "" || Settings.Default[mailItemDefaults[i]] !=null)
                {
                    Settings.Default[mailItemDefaults[i]] = textBox[i].Text;
                    Settings.Default.Save();
                }
            }
            this.Close();           
        }

        private void setTextBoxValue()
        {
            string[] mailItemDefaults = { "MailTo", "MailCc", "MailSubject", "MailBody1", "MailBody2", "MailSignature" };
            TextBox[] textBox = { mailToTextBox, mailCcTextBox, mailSubjectTextBox, mailBody1TextBox, mailBody2TextBox, mailBodySignature };
            TextBlock[] mailItemTextBoxHintDefaults = { txtHintMailTo, txtHintMailCc, txtHintMailSubject, txtHintMailBody1, txtHintMailBody2, txtHintMailSignature };
            for (int i = 0; i < mailItemDefaults.Length; i++)
            {
                if (textBox[i].Text != "")
                    mailItemTextBoxHintDefaults[i].Visibility = Visibility.Hidden;
                else
                    mailItemTextBoxHintDefaults[i].Visibility = Visibility.Visible;
            }
        }

        private void txtHintMailTo_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            txtHintMailTo.Text = "";

            mailToTextBox.Focus();
            mailToTextBox.Focusable = true;
        }

        private void txtHintMailCc_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            txtHintMailCc.Text = "";

            mailCcTextBox.Focus();
            mailCcTextBox.Focusable = true;
        }

        private void txtHintMailSubject_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            txtHintMailSubject.Text = "";

            mailSubjectTextBox.Focus();
            mailSubjectTextBox.Focusable = true;
        }

        private void txtHintMailBody1_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            txtHintMailBody1.Text = "";

            mailBody1TextBox.Focus();
            mailBody1TextBox.Focusable = true;
        }

        private void txtHintMailBody2_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            txtHintMailBody2.Text = "";

            mailBody2TextBox.Focus();
            mailBody2TextBox.Focusable = true;
        }

        private void txtHintMailSignature_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            txtHintMailSignature.Text = "";

            mailBodySignature.Focus();
            txtHintMailSignature.Focusable = true;
        }
    }
}
